Last Comment Bug 978050 - Use a bright color for the outline of the tab strip in customization mode with certain themes
: Use a bright color for the outline of the tab strip in customization mode wit...
Status: RESOLVED FIXED
[Australis:P3]
:
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: 30 Branch
: x86 Windows XP
-- normal (vote)
: Firefox 30
Assigned To: :Gijs
:
: :Gijs
Mentors:
Depends on:
Blocks: 963576
  Show dependency treegraph
 
Reported: 2014-02-28 03:58 PST by (Currently slow to respond) Philipp Sackl [:phlsa] (Firefox UX) please use needinfo
Modified: 2014-04-24 07:41 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [qa-]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Hardly visible outlines (64.62 KB, image/png)
2014-02-28 03:58 PST, (Currently slow to respond) Philipp Sackl [:phlsa] (Firefox UX) please use needinfo
no flags Details
fix the hovered outline-color for Australis' customize mode's drag indicators for tabsintitlebar menubar/tabstoolbar to be the caption text color, (1.50 KB, patch)
2014-03-04 06:41 PST, :Gijs
MattN+bmo: review+
sledru: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image (Currently slow to respond) Philipp Sackl [:phlsa] (Firefox UX) please use needinfo 2014-02-28 03:58:53 PST
Created attachment 8383594 [details]
Hardly visible outlines

With the Windows XP themes »Luna blue (default)« and »Windows Classic«, the outline of the customizable area in the tab strip is hardly visible. It should use white as the color in these cases.

I guess this problem will also arise on Windows 8 when the window color is too dark and possibly even on Windows 7 (I don't have a test setup for the latter).
Comment 1 User image :Gijs 2014-03-04 06:41:01 PST
Created attachment 8385324 [details] [diff] [review]
fix the hovered outline-color for Australis' customize mode's drag indicators for tabsintitlebar menubar/tabstoolbar to be the caption text color,

So this will do the right thing on XP, I'm pretty sure, but on Win7/Win8 we don't know what the window color is so we also can't do much else. However, this patch uses the captiontext color, so once we add support for fixing that, we might get support for win8 for free (or we might need to update to another constant, but either way, it should be less work to fix stuff).
Comment 2 User image Matthew N. [:MattN] (PM if requests are blocking you) 2014-03-04 09:03:22 PST
Comment on attachment 8385324 [details] [diff] [review]
fix the hovered outline-color for Australis' customize mode's drag indicators for tabsintitlebar menubar/tabstoolbar to be the caption text color,

Review of attachment 8385324 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with :not([inFullscreen]) on the window

::: browser/themes/windows/browser.css
@@ +54,5 @@
>  #main-window[tabsintitlebar] #main-menubar > menu:not(:-moz-lwtheme):-moz-window-inactive {
>    color: InactiveCaptionText;
>  }
>  
> +#main-window[customize-entered][tabsintitlebar] #toolbar-menubar[customizing-dragovertarget].customization-target::before,

Since LWT don't apply in customization mode, we don't need to special-case that (contrary to what I said in person).

I think we should do :not([inFullscreen]) since the titlebar colour isn't shown behind these toolbars in fullscreen. (See the block "/* Use lighter colors of buttons and text in the titlebar on luna-blue */")
Comment 3 User image :Gijs 2014-03-04 09:56:13 PST
w/ nit

remote:   https://hg.mozilla.org/integration/fx-team/rev/86ef16e078a3
Comment 4 User image Ryan VanderMeulen [:RyanVM] 2014-03-04 13:26:52 PST
https://hg.mozilla.org/mozilla-central/rev/86ef16e078a3
Comment 5 User image :Gijs 2014-03-04 14:28:37 PST
Comment on attachment 8385324 [details] [diff] [review]
fix the hovered outline-color for Australis' customize mode's drag indicators for tabsintitlebar menubar/tabstoolbar to be the caption text color,

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Australis
User impact if declined: invisible outlines on the tabstoolbar/menubar on certain OS themes, meaning it's harder to figure out how/where to customize
Testing completed (on m-c, etc.): on m-c, locally
Risk to taking this patch (and alternatives if risky): low
String or IDL/UUID changes made by this patch: none
Comment 6 User image :Gijs 2014-03-12 05:30:16 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/f948eb47b645


Note for QA: this is effectively not testable because bug 978048 removed the outlines entirely.

Note You need to log in before you can comment on or make changes to this bug.